import { NxCloud } from './utils/nx/nx-cloud';
import { PackageManager } from './utils/package-manager';
export interface CreateWorkspaceOptions {
    name: string;
    packageManager: PackageManager;
    nxCloud: NxCloud;
    /**
     * @description Enable interactive mode with presets
     * @default true
     */
    interactive?: boolean;
    /**
     * @description Default base to use for new projects. e.g. main, master
     * @default 'main'
     */
    defaultBase?: string;
    /**
     * @description Skip initializing a git repository
     * @default false
     */
    skipGit?: boolean;
    commit?: {
        name: string;
        email: string;
        message: string;
    };
    cliName?: string;
}
